CRAN Package Check Results for Package rhino

Last updated on 2024-06-12 20:59:12 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.8.0 3.81 40.11 43.92 OK
r-devel-linux-x86_64-debian-gcc 1.8.0 0.50 1.67 2.17 ERROR
r-devel-linux-x86_64-fedora-clang 1.8.0 32.54 OK
r-devel-linux-x86_64-fedora-gcc 1.8.0 30.56 OK
r-devel-windows-x86_64 1.8.0 5.00 53.00 58.00 OK
r-patched-linux-x86_64 1.7.0 2.97 41.37 44.34 OK
r-release-linux-x86_64 1.8.0 2.28 40.37 42.65 OK
r-release-macos-arm64 1.8.0 21.00 OK
r-release-macos-x86_64 1.8.0 45.00 OK
r-release-windows-x86_64 1.8.0 7.00 53.00 60.00 OK
r-oldrel-macos-arm64 1.8.0 27.00 OK
r-oldrel-macos-x86_64 1.8.0 41.00 OK
r-oldrel-windows-x86_64 1.8.0 6.00 58.00 64.00 OK

Check Details

Version: 1.8.0
Check: package dependencies
Result: ERROR Packages required but not available: 'box.linters', 'purrr', 'styler', 'testthat' Packages suggested but not available for checking: 'mockery', 'shiny.react' See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’ manual. Flavor: r-devel-linux-x86_64-debian-gcc